package com.jpsoft.shinestar.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.business.entity.FillAttendanceFiles;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface FillAttendanceFilesService {
	FillAttendanceFiles get(String id);
	boolean exist(String id);
	int insert(FillAttendanceFiles model);
	int update(FillAttendanceFiles model);
	int delete(String id);
	List<FillAttendanceFiles> list();
	Page<FillAttendanceFiles> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    FillAttendanceFiles findByFillAttendanceId(String id);
}